ChangeSet 1.1078.2.8, 2003/05/08 11:35:48-07:00, david-b@pacbell.net

[PATCH] USB: gadget zero, loopback config fix

If the host writes OUT packets using URB_ZERO_PACKET
(or its analogue on other USB host systems), then the
loopback configuration should set req->zero, to use that
same transfer termination policy when it writes the
response back IN to the host.


diff -Nru a/drivers/usb/gadget/zero.c b/drivers/usb/gadget/zero.c
--- a/drivers/usb/gadget/zero.c	Thu May  8 14:31:23 2003
+++ b/drivers/usb/gadget/zero.c	Thu May  8 14:31:23 2003
@@ -770,6 +770,7 @@
 	case 0: 			/* normal completion? */
 		if (ep == dev->out_ep) {
 			/* loop this OUT packet back IN to the host */
+			req->zero = (req->actual < req->length);
 			req->length = req->actual;
 			status = usb_ep_queue (dev->in_ep, req, GFP_ATOMIC);
 			if (status == 0)
